Milter.cache.AddrCache Class Reference
Inheritance diagram for Milter.cache.AddrCache:

## Public Member Functions

def | __init__
def | load
def | has_precise_key
def | has_key
def | __getitem__
def | addperm
def | __setitem__
def | __len__

## Public Attributes

| age
| cache
| fname

## Static Public Attributes

string | time_format = '%Y%b%d %H:%M:%S %Z'

## Static Private Attributes

| __contains__ = has_key

## Member Function Documentation

def Milter.cache.AddrCache.has_precise_key | ( |  | self,
|  |  | sender
| ) |  |

    True if precise sender is cached and has not expired.  Don't
    try looking up wildcard entries.

References Milter.cache.AddrCache.__getitem__(), Milter.cache.AddrCache.age, Milter.cache.AddrCache.cache, Milter.cache.AddrCache.fname, Milter.cache.AddrCache.has_key(), and Milter.cache.AddrCache.has_precise_key().

Referenced by Milter.cache.AddrCache.has_precise_key().

The documentation for this class was generated from the following file:

- Milter/cache.py